Skip to navigation

List Fileset Files

View as Markdown

List Files in Fileset.

Returns a list of files stored in the specified fileset. Optionally filter by path prefix to list files under a specific directory.

Each file includes a cache_status field:

  • “not_cacheable”: File is on default storage, caching not applicable
  • “cached”: File exists in cache storage
  • “caching”: File is currently being downloaded and cached
  • “not_cached”: File not in cache, will be cached on next download
  • null: External storage, but cache status not checked (use include_cache_status=true)

Path parameters

workspacestringRequired
namestringRequired

Query parameters

pathstringOptional
Filter files by path prefix
include_cache_statusbooleanOptionalDefaults to false

Check and return cache status for each file. When false, storage files return null for cache_status.

Response

Successful Response
datalist of objects

Errors

422
Unprocessable Entity Error